package com.ruoyi.business.util;

import java.math.BigDecimal;

public class NumKit {

    public NumKit() {
    }


    public static Double checkDouble(String num) {
        try {
            Double i = Double.valueOf(num);
            return i;
        } catch (Exception var3) {
        }

        return 0D;
    }

    public static Integer checkInt(String num) {
        try {
            Integer i = Integer.valueOf(num);
            return i;
        } catch (Exception var3) {
        }
        return 0;
    }

    public static Long checkLong(String num) {
        try {
            Long i = Long.valueOf(num);
            return i;
        } catch (Exception var3) {
        }
        return 0L;
    }

    public static BigDecimal checkBigDecimal(String num) {
        try {
            BigDecimal bd = new BigDecimal(num);
            return bd;
        } catch (Exception var3) {
        }
        return null;
    }




}
